Skip to main content
Version: 4.0

SoftPOS Terminal Configuration

Description​

You may provide terminal configuration profiles that you may use to override your terminal configuration as needed.

Activating a Terminal Configuration Profile​

To activate a given profile for a specific user, you merely need to add the spCfg claim to the user's JWT with the value of the claim set to the profile's name.

Getting your Acquirer Id​

GET https://kernelserver.{env}.haloplus.io/acquirers/me

Path Parameters​

NameTypeDescription
env*StringThe backend environment [dev, qa, prod]

Response​

FieldTypeDescription
idNumberYour acquirer id

Creating a Profile​

POST https://kernelserver.{env}.haloplus.io/acquirers/{acquirerId}/softposconfigs

Path Parameters​

NameTypeDescription
env*StringThe backend environment [dev, qa, prod]
acquirerId*NumberYour acquirer id

Headers​

NameTypeDescription
x-api-key*StringThe API Key retrieved from the Merchant Portal

Request Body​

There are two accepted formats for creating a Terminal Configuration Profile:

Loading ....

Updating a Profile​

PUT https://kernelserver.{env}.haloplus.io/acquirers/{acquirerId}/softposconfigs/{profile}

Path Parameters​

NameTypeDescription
env*StringThe backend environment [dev, qa, prod]
acquirerId*NumberYour acquirer id
profile*StringThe name of the profile to update

Headers​

NameTypeDescription
x-api-key*StringThe API Key retrieved from the Merchant Portal

Request Body​

Loading ....

Deleting a Profile​

DELETE https://kernelserver.{env}.haloplus.io/acquirers/{acquirerId}/softposconfigs/{profile}

Path Parameters​

NameTypeDescription
env*StringThe backend environment [dev, qa, prod]
acquirerId*NumberYour acquirer id
profile*StringThe name of the profile to delete

Headers​

NameTypeDescription
x-api-key*StringThe API Key retrieved from the Merchant Portal